Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.conf
Class BooleanValue

    java.lang.Object
      |
      +--com.solarmetric.kodo.conf.Value
            |
            +--com.solarmetric.kodo.conf.BooleanValue

All Implemented Interfaces:
  Serializable

public class BooleanValue
extends Value

See Also:
  Serialized Form

Fields inherited from class com.solarmetric.kodo.conf.Value
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Constructor Summary
`BooleanValue(String prop, boolean value, Class configClass, boolean expert, String type)`

Method Summary
`boolean` | `get()`
`String` | `getString()`
`void` | `set(boolean value)`
`void` | `setFromProperties(TypedProperties props)`
`void` | `setString(String stringValue)`

Methods inherited from class com.solarmetric.kodo.conf.Value
`equals, getDescriptor, getProperty, hashCode, setIntoProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanValue

    public BooleanValue(String prop,
                        boolean value,
                        Class configClass,
                        boolean expert,
                        String type)

Method Detail

### set

    public void set(boolean value)

### get

    public boolean get()

### getString

    public String getString()

  Overrides:
    `getString` in class `Value`

### setFromProperties

    public void setFromProperties(TypedProperties props)

  Overrides:
    `setFromProperties` in class `Value`

### setString

    public void setString(String stringValue)

  Overrides:
    `setString` in class `Value`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.